﻿using Microsoft.EntityFrameworkCore;

namespace VaccineRegistration.Persistence
{
    public class VaccineRegistrationContext : DbContext
    {
        public VaccineRegistrationContext(DbContextOptions<VaccineRegistrationContext> options) 
            : base(options)
        { }

        public DbSet<Hospital> Hospitals { get; set; }
        public DbSet<Vaccine> Vaccines { get; set; }
        public DbSet<VaccineAvailability> VaccineAvailabilities { get; set; }
        public DbSet<Reservation> Reservations { get; set; }
    }
}
